<?php
// aktivujeme session
@ini_set('arg_separator.output', '&amp;');
@session_start();

// konfigurace proměnných
require('../ipraxe3/konfigurace.php');

// připojíme funkce
require('../ipraxe3/fn_ipraxe3.php');
require('../ipraxe3/fn_vystupy.php');

// připojíme se k databázi
require('../ipraxe3/db_pripojeni.php');

// pracujeme jen s adminem
admin();

// při neaktivitě zrušíme přippojení
if($_SESSION['prihlaseny'] != 'admin' or $_SESSION['cas'] < date('U') - 3600):
   @session_regenerate_id();
   header("Location: ".SERVER.'admin/login.htm');
   exit;   
endif;
$_SESSION['cas'] = date('U');

// výchozí vstup do admina (sekce objednávky)
$_SESSION['aa'] = @$_GET['aa'] ? addslashes($_GET['aa']) : 'objednavky';

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
                  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="Content-Language" content="cs" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>ishop - správce obchodu</title>
<link href="./styl.css" rel="stylesheet" type="text/css" />
</head>
<body>
<table id="tab_lista">
<tr>
<td id="logo_space"><h1>Správa obchodu</h1></td>
<td><a href="index.php?aa=objednavky&amp;so=%&amp;ar=obj_datum desc">objednávky</a></td>
<td><a href="index.php?aa=kategorie">kategorie</a></td>
<td><a href="index.php?aa=vyrobky&amp;ar=vyr_pridan">výrobky</a></td>
<td><a href="index.php?aa=parametry">parametry</a></td>
<td><a href="index.php?aa=zakaznici&amp;ar=max_dat desc">zákazníci</a></td>
<td><a href="index.php?aa=texty">texty</a></td>
<td><a href="./ipraxe3/h_login.php">odhlásit</a> (<?php echo $_SESSION['prihlaseny']; ?>)</td>
</tr>
</table>
<table id="tab_telo">
<tr>
<td valign="top" width="200" id="menu">
<div id="navigace"><?php @include './ipraxe3/navig_'.$_SESSION['aa'].'.php';?>
<h4>Tip pro velké eshopy</h4>
<p>Pro obsáhlejší databázi (řádově tisíce výrobků) doporučujeme v phpmyadmin nastavit indexy pro tyto tabulky:
<i><br>vyr_id
<br>vka_vyr_id
<br>vka_kat_id
<br>kat_id</i></p>
</div>
<p>&nbsp;</p>
<p class="zarovnej_stred">
    <a href="http://validator.w3.org/check?uri=referer">Valid XHTML 1.0 Transitional</a>
  </p>
<p  class="zarovnej_stred">
 <a href="http://jigsaw.w3.org/css-validator/">Valid CSS!</a>
</p>
</td>
<td>&nbsp;&nbsp;&nbsp;</td>
<td valign="top"><?php @include './ipraxe3/telo_'.$_SESSION['aa'].'.php';?></td>
</tr>
</table>
<p class="zarovnej_stred">verze 06.03.20</p>
</body>
</html>
<?php if(LADENI == 'ano') require '../ipraxe3/ladime_promenne.php'; ?> 